Add a field to a table
curl --request POST \
--url https://api.hq.zone/v1/api/tables/{id}/fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "<string>",
"indexed": true,
"is_unique": true,
"link_target": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": "<unknown>",
"required": true
}
'import requests
url = "https://api.hq.zone/v1/api/tables/{id}/fields"
payload = {
"name": "<string>",
"type": "<string>",
"indexed": True,
"is_unique": True,
"link_target": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": "<unknown>",
"required": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
indexed: true,
is_unique: true,
link_target: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
options: '<unknown>',
required: true
})
};
fetch('https://api.hq.zone/v1/api/tables/{id}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tables
Add a field to a table
POST
/
v1
/
api
/
tables
/
{id}
/
fields
Add a field to a table
Authorizations
bearer_patoauth2
Personal Access Token. Send as Authorization: Bearer hq_pat_....
Path Parameters
Table id
Body
application/json
Logical field type: text, long_text, number, currency, percent, date, datetime, boolean, single_select, multi_select, attachment, link_to_record, autonumber, json.
Target table id for a link_to_record field.
Response
Created field
⌘I